unit Unit1;

{$MODE Delphi}

interface

uses
  LCLIntf, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, LResources;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    sin1: TImage;
    Label2: TLabel;
    sin2: TImage;
    sin_all: TImage;
    fi_1: TScrollBar;
    fi1_text: TLabel;
    fi_2: TScrollBar;
    fi1_f_text: TLabel;
    fi1_f: TScrollBar;
    fi2_f_text: TLabel;
    fi_2_fr: TScrollBar;
    Button1: TButton;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    fi2_text: TLabel;
    btnMax: TButton;
    btnMin: TButton;
    btnRazy: TButton;
    pnlMaxMin: TPanel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    btnModulace: TButton;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure fi_1Change(Sender: TObject);
    procedure fi1_fChange(Sender: TObject);
    procedure fi_2Change(Sender: TObject);
    procedure fi_2_frChange(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure btnMaxClick(Sender: TObject);
    procedure btnMinClick(Sender: TObject);
    procedure btnRazyClick(Sender: TObject);
    procedure btnModulaceClick(Sender: TObject);

  private
    { Private declarations }

  public
    { Public declarations }
  end;
const pozadi=clWhite;
      popredi1=clgreen;
      popredi2=clblue;
      popredi_all=clred;
      osy=clBlack;
      osa_y=2;
      osa_x=20*PI;
var
  Form1: TForm1;
  xs1,ys1,y1,y2,y_all,fi1,fi2,fi1_fr,fi2_fr,i:integer;
implementation


procedure osy1;
begin
 Form1.sin1.Canvas.Pen.Color:=osy;
 Form1.sin1.Canvas.MoveTo(0,ys1 div 2);
 Form1.sin1.Canvas.LineTo(xs1,ys1 div 2);
 Form1.sin1.Canvas.MoveTo(0,0);
 Form1.sin1.Canvas.LineTo(0,ys1);
 Form1.sin2.Canvas.Pen.Color:=osy;
 Form1.sin2.Canvas.MoveTo(0,ys1 div 2);
 Form1.sin2.Canvas.LineTo(xs1,ys1 div 2);
 Form1.sin2.Canvas.MoveTo(0,0);
 Form1.sin2.Canvas.LineTo(0,ys1);
 Form1.sin_all.Canvas.Pen.Color:=osy;
 Form1.sin_all.Canvas.MoveTo(0,ys1 div 2);
 Form1.sin_all.Canvas.LineTo(xs1,ys1 div 2);
 Form1.sin_all.Canvas.MoveTo(0,0);
 Form1.sin_all.Canvas.LineTo(0,ys1);
end;

procedure kresli;
var pomx,pomy,i1:real;
    dy1,dy2:integer;
begin
 pomx:=(osa_x)/xs1;
 pomy:=(ys1 div 2)/osa_y;
 Form1.sin1.Canvas.Brush.Color:=pozadi;
 Form1.sin1.Canvas.FillRect(Rect(0,0,xs1,ys1));
 Form1.sin2.Canvas.Brush.Color:=pozadi;
 Form1.sin2.Canvas.FillRect(Rect(0,0,xs1,ys1));
 Form1.sin_all.Canvas.Brush.Color:=pozadi;
 Form1.sin_all.Canvas.FillRect(Rect(0,0,xs1,ys1));
 osy1;
 for i:=0 to xs1 do
  begin
   i1:=i*pomx;
   dy1:=round(pomy*(sin(fi1_fr*0.1*(i1-fi1*pi/180))));
   dy2:=round(pomy*(sin(fi2_fr*0.1*(i1-fi2*pi/180))));
   y1:=(ys1 div 2)-dy1;
   y2:=(ys1 div 2)-dy2;
   y_all:=(ys1 div 2)-(dy1+dy2);
   Form1.sin1.Canvas.Pen.Color:=popredi1;
   Form1.sin1.Canvas.Ellipse(i,y1,i+2,y1+2);
   Form1.sin2.Canvas.Pen.Color:=popredi2;
   Form1.sin2.Canvas.Ellipse(i,y2,i+2,y2+2);
   Form1.sin_all.Canvas.Pen.Color:=popredi_all;
   Form1.sin_all.Canvas.Ellipse(i,y_all,i+2,y_all+2);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 xs1:=sin1.Width;
 ys1:=sin1.Height;
 sin1.Canvas.MoveTo(0,ys1 div 2);
 sin1.Canvas.LineTo(xs1,ys1 div 2);
 sin2.Canvas.MoveTo(0,ys1 div 2);
 sin2.Canvas.LineTo(xs1,ys1 div 2);
 sin_all.Canvas.MoveTo(0,ys1 div 2);
 sin_all.Canvas.LineTo(xs1,ys1 div 2);
 sin1.Canvas.MoveTo(0,0);
 sin1.Canvas.LineTo(0,ys1);
 sin2.Canvas.MoveTo(0,0);
 sin2.Canvas.LineTo(0,ys1);
 sin_all.Canvas.MoveTo(0,0);
 sin_all.Canvas.LineTo(0,ys1);
 fi1_text.Caption:=IntToStr(fi_1.Position);
 fi2_text.Caption:=IntToStr(fi_2.Position);
 fi1_fr:=1;
 fi2_fr:=1;
 osy1;
 kresli;
end;


procedure TForm1.fi_1Change(Sender: TObject);
begin
 fi1_text.Caption:=IntToStr(fi_1.Position);
 fi1:=fi_1.Position*10;
 osy1;
 kresli;
end;

procedure TForm1.fi_2Change(Sender: TObject);
begin
 fi2_text.Caption:=IntToStr(fi_2.Position);
 fi2:=fi_2.Position*10;
 sin2.Canvas.Brush.Color:=pozadi;
 sin2.Canvas.FillRect(Rect(0,0,xs1,ys1));
 osy1;
 kresli;
end;

procedure TForm1.fi1_fChange(Sender: TObject);
begin
 fi1_f_text.Caption:=IntToStr(fi1_f.Position);
 fi1_fr:=fi1_f.Position;
 sin1.Canvas.Brush.Color:=pozadi;
 sin1.Canvas.FillRect(Rect(0,0,xs1,ys1));
 osy1;
 kresli;
end;

procedure TForm1.fi_2_frChange(Sender: TObject);
begin
 fi2_f_text.Caption:=IntToStr(fi_2_fr.Position);
 fi2_fr:=fi_2_fr.Position;
{ case fi_2_fr.Position of
 1:fi2_fr:=1;
 2:fi2_fr:=2;
 3:fi2_fr:=3;
 4:fi2_fr:=4;
 end;
 }sin2.Canvas.Brush.Color:=pozadi;
 sin2.Canvas.FillRect(Rect(0,0,xs1,ys1));
 osy1;
 kresli;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 Application.Terminate;
end;

procedure TForm1.btnMaxClick(Sender: TObject);
begin
 fi1_text.Caption:=IntToStr(0);
 fi_1.Position:=0;
 fi2_text.Caption:=IntToStr(0);
 fi_2.Position:=0;
 fi1_f_text.Caption:=IntToStr(1);
 fi1_f.Position:=1;
 fi1_fr:=fi1_f.Position;
 fi2_f_text.Caption:=IntToStr(1);
 fi_2_fr.Position:=1;
 fi2_fr:=fi_2_fr.Position;
 sin1.Canvas.Brush.Color:=pozadi;
 sin1.Canvas.FillRect(Rect(0,0,xs1,ys1));
 sin2.Canvas.Brush.Color:=pozadi;
 sin2.Canvas.FillRect(Rect(0,0,xs1,ys1));
 osy1;
 kresli;
end;

procedure TForm1.btnMinClick(Sender: TObject);
begin
 fi1_text.Caption:=IntToStr(0);
 fi_1.Position:=0;
 fi2_text.Caption:=IntToStr(180);
 fi_2.Position:=180;
 fi1_f_text.Caption:=IntToStr(1);
 fi1_f.Position:=1;
 fi1_fr:=fi1_f.Position;
 fi2_f_text.Caption:=IntToStr(1);
 fi_2_fr.Position:=1;
 fi2_fr:=fi_2_fr.Position;
 sin1.Canvas.Brush.Color:=pozadi;
 sin1.Canvas.FillRect(Rect(0,0,xs1,ys1));
 sin2.Canvas.Brush.Color:=pozadi;
 sin2.Canvas.FillRect(Rect(0,0,xs1,ys1));
 osy1;
 kresli;
end;

procedure TForm1.btnRazyClick(Sender: TObject);
begin
 fi1_text.Caption:=IntToStr(0);
 fi_1.Position:=0;
 fi2_text.Caption:=IntToStr(0);
 fi_2.Position:=0;
 fi1_f_text.Caption:=IntToStr(10);
 fi1_f.Position:=10;
 fi1_fr:=fi1_f.Position;
 fi2_f_text.Caption:=IntToStr(12);
 fi_2_fr.Position:=12;
 fi2_fr:=fi_2_fr.Position;
 sin1.Canvas.Brush.Color:=pozadi;
 sin1.Canvas.FillRect(Rect(0,0,xs1,ys1));
 sin2.Canvas.Brush.Color:=pozadi;
 sin2.Canvas.FillRect(Rect(0,0,xs1,ys1));
 osy1;
 kresli;
end;

procedure TForm1.btnModulaceClick(Sender: TObject);
begin
 fi1_text.Caption:=IntToStr(0);
 fi_1.Position:=0;
 fi2_text.Caption:=IntToStr(0);
 fi_2.Position:=0;
 fi1_f_text.Caption:=IntToStr(14);
 fi1_f.Position:=14;
 fi1_fr:=fi1_f.Position;
 fi2_f_text.Caption:=IntToStr(1);
 fi_2_fr.Position:=1;
 fi2_fr:=fi_2_fr.Position;
 sin1.Canvas.Brush.Color:=pozadi;
 sin1.Canvas.FillRect(Rect(0,0,xs1,ys1));
 sin2.Canvas.Brush.Color:=pozadi;
 sin2.Canvas.FillRect(Rect(0,0,xs1,ys1));
 osy1;
 kresli;
end;

initialization
  {$i Unit1.lrs}

end.
